Bug 783611 - copy-platform should not use $where when symlinking in for loops
copy-platform should not use $where when symlinking in for loops
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Andrew Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-20 19:57 EST by Severin Gehwolf
Modified: 2012-02-23 08:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-23 08:54:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Severin Gehwolf 2012-01-20 19:57:09 EST
Description of problem:
bug 781209 shows the symptom.

I'll attach a patch which fixes bug 781209. Is this $where still needed? Note that at the top of the script there is a cd $where.

I assume one needs either the $where prefix in the for loops or the cd $where, but not both. Thoughts?
Comment 1 Andrew Overholt 2012-01-23 10:26:18 EST
Andrew, ISTR you cleaning copy-platform up a bit recently.  Please take a look at this.
Comment 2 Andrew Robinson 2012-01-23 14:56:21 EST
Makes sense to me. This was just a straight port of the existing spec generated script which didn't use relative paths. Removing the instances of $where should not be an issue.
Comment 3 Andrew Overholt 2012-01-23 16:01:30 EST
Sounds good, please integrate and commit Severin's change, Andrew.
Comment 4 Alexander Kurtakov 2012-02-11 01:01:39 EST
Andrew, Severin,
Is this fixed?
If yes please close the bug otherwise please apply the patch submit new build and verify.
Comment 5 Alexander Kurtakov 2012-02-23 02:50:48 EST
Is this still an issue ?
Comment 6 Andrew Robinson 2012-02-23 08:54:58 EST
The upstream fix is in rawhide.

Note You need to log in before you can comment on or make changes to this bug.